curl --request GET \
--url https://api.yorlet.com/v1/leads/enquiries/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/leads/enquiries/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/leads/enquiries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "leads.enquiry",
"assignee": "<string>",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"qualification": {
"answers": {
"move_in_date": "immediately",
"budget": 123,
"household_occupants": 123,
"household_has_children": true,
"has_pets": true,
"pet_types": [
"dog"
],
"pet_details": "<string>",
"employment_status": "employed",
"employer_name": "<string>",
"income_range": "under_20k",
"is_smoker": true,
"current_situation": "renting",
"reason_for_moving": "<string>",
"current_landlord_name": "<string>",
"current_landlord_contact": "<string>",
"has_right_to_rent": true,
"has_guarantor": true
},
"custom_answers": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"value": "<string>"
}
],
"reason": "<string>",
"score": 123
},
"qualification_configuration": {
"id": "<string>",
"created": 123,
"object": "leads.qualification_configuration",
"active": true,
"after_completion": {
"type": "hosted_confirmation",
"hosted_confirmation": {
"custom_message": "<string>"
},
"redirect": {
"url": "<string>"
}
},
"default": true,
"description": "<string>",
"hosted_qualification_url": "<string>",
"name": "<string>",
"token": "<string>",
"allowed_origins": [
"<string>"
],
"questions": {
"move_in_date": {
"enabled": true,
"required": false
},
"budget": {
"enabled": true,
"required": false,
"min_budget": null,
"max_budget": null
},
"household": {
"enabled": true,
"required": false,
"ask_occupants": true,
"ask_children": false,
"max_occupants": null
},
"pets": {
"enabled": true,
"required": false,
"allowed": true,
"allowed_types": null,
"max_pets": null
},
"employment": {
"enabled": true,
"required": false,
"ask_employer": false,
"ask_income": false,
"accepted_statuses": [
"employed",
"self_employed",
"student",
"retired",
"benefits",
"other"
]
},
"smoking": {
"enabled": false,
"required": false,
"non_smokers_only": false
},
"current_situation": {
"enabled": false,
"required": false,
"ask_reason_for_moving": false,
"ask_current_landlord": false
},
"right_to_rent": {
"enabled": false,
"required": false
},
"guarantor": {
"enabled": false,
"required": false
}
},
"custom_questions": [
{
"id": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"required": false
}
],
"account": "<string>",
"deleted": false,
"metadata": {}
},
"referral": {
"ip_address": "<string>",
"user_agent": "<string>"
},
"reviewed_at": 123,
"reviewed_by": "<string>",
"source": "email",
"status": "new",
"unit": {
"id": "<string>",
"created": 123,
"object": "unit",
"active": true,
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"apply_url": "<string>",
"availability": {
"available_from": 123,
"held": true,
"hold_reason": "works",
"released": true,
"released_at": 123,
"state": "available",
"tenancy": "<string>",
"tenancy_end": 123
},
"available_from": 123,
"bathrooms": 123,
"bedrooms": 123,
"building": {
"id": "<string>",
"created": 123,
"object": "building",
"active": true,
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"currency": "<string>",
"description": "<string>",
"marketing": {
"featured_photo": "<string>",
"photos": [
"<string>"
]
},
"name": "<string>",
"removable": true,
"single_unit": true,
"type": "block_management",
"unit_fees": {
"management_fee": 123,
"management_fee_amount": 123,
"management_fee_discount": {
"percent_off": 123,
"end": 123
},
"management_fee_type": "percentage",
"renewal_fee": 123,
"rent_review_fee": 123,
"tax": 123,
"tax_behavior": "exclusive",
"tenant_find_fee": 123,
"updated_at": 123
},
"account": "<string>",
"deleted": false,
"metadata": {}
},
"completion_date": 123,
"contract_address": "<string>",
"currency": "<string>",
"currency_options": {},
"default_deposit": 123,
"default_price": 123,
"default_rent_tax_rate": {
"id": "<string>",
"created": 123,
"object": "tax_rate",
"active": true,
"country": "<string>",
"description": "<string>",
"inclusive": true,
"jurisdiction": "<string>",
"name": "<string>",
"percentage": 123,
"state": "<string>",
"tax_type": "gst",
"account": "<string>",
"deleted": false,
"metadata": {}
},
"fees": {
"management_fee": 123,
"management_fee_amount": 123,
"management_fee_discount": {
"percent_off": 123,
"end": 123
},
"management_fee_type": "percentage",
"renewal_fee": 123,
"rent_review_fee": 123,
"tax": 123,
"tax_behavior": "exclusive",
"tenant_find_fee": 123,
"updated_at": 123
},
"furnished": true,
"floor": 123,
"has_owner": true,
"maintenance_threshold": 123,
"management_type": "fully_managed",
"name": "<string>",
"plot_number": "<string>",
"square_foot": 123,
"account": "<string>",
"deleted": false,
"active_tenancy_end": 123,
"archived": true,
"archived_at": 123,
"assignee": "<string>",
"features": {
"aspect": "n",
"balcony": true,
"pet_friendly": true,
"view": "<string>",
"min_term": "<string>"
},
"compliance": {
"epc": "<string>",
"epc_expires_at": 123,
"electric_safety": "<string>",
"electric_safety_expires_at": 123,
"gas_safety": "<string>",
"gas_safety_expires_at": 123,
"gas_safety_required": true
},
"metadata": {},
"offline_reason": "<string>",
"reference": "<string>",
"rent": {
"default": 123,
"maximum": 123,
"minimum": 123,
"tax_percent": 123
},
"sales": {
"last_purchase_price": 123
},
"square_metre": 123,
"status": "available",
"under_offer": true,
"unit_group": "<string>"
},
"interests": [
{
"unit": "<string>",
"created": 123
}
],
"account": "<string>",
"deleted": false,
"application": "<string>",
"metadata": {},
"portal": {
"rightmove": {
"agent_id": 123,
"enquiry_id": "<string>",
"request_property_details": true,
"request_viewing": true,
"adverse_credit": "HAS_ADVERSE_CREDIT",
"affordability_checks": [
"<string>"
],
"applicant_address": "<string>",
"appointment_request": {
"time_slot": "AFTERNOON",
"weekday_availability": [
"<string>"
]
},
"buyer_status": "CASH_BUYER",
"comments": "<string>",
"credit_check_consent_status": "EXPIRED",
"deep_link": "<string>",
"enquirer_type": "INVESTOR_DEVELOPER",
"first_time_renter": true,
"has_savings": true,
"income_satisfactory": "NO",
"moving_with": "FAMILY",
"reference": "<string>",
"renting_situation_type": "NO",
"urgency": "ONE_TO_TWO_YEARS"
},
"type": "rightmove"
}
}Retrieve an enquiry
Retrieves the details of an existing enquiry.
Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns an enquiry object if a valid identifier was provided.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
leads.enquiry The team member the enquiry is assigned to.
The enquirer's email address.
The enquirer's full name.
The enquirer's phone number.
The qualification data captured for this enquiry.
Show child attributes
Show child attributes
The qualification configuration the enquiry was submitted against, if any.
Show child attributes
Show child attributes
Referral metadata captured when the enquiry was submitted.
Show child attributes
Show child attributes
Time at which the enquiry was reviewed. Measured in seconds since the Unix epoch.
The ID of the user who reviewed the enquiry.
The channel the enquiry originated from.
email, manual, phone, portal, referral, web_form, widget, null The status of the enquiry.
new, pending, contacted, qualified, viewing, application, won, lost, disqualified The most recent unit the lead has expressed interest in, if any.
Show child attributes
Show child attributes
Units the lead has expressed interest in, in the order they were recorded.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
The application the enquiry was converted into, if any.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Details about the property portal this enquiry originated from. Present when source is portal.
Show child attributes
Show child attributes
Was this page helpful?